Name:           ocaml-camlimages
Version:        2.2.0
Release:        8%{?dist}
Summary:        OCaml image processing library

Group:          Development/Libraries
License:        LGPL
URL:            http://pauillac.inria.fr/camlimages/
Source0:        ftp://ftp.inria.fr/INRIA/Projects/cristal/caml-light/bazar-ocaml/camlimages-%{version}.tgz
Source1:        camlimages-2.2.0-htmlref.tar.gz
Patch0:         camlimages-2.2.0-stubdest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Excluding on ppc64 due to missing dependencies (Bug #239518)
ExcludeArch:    ppc64

BuildRequires:  lablgtk libpng-devel libjpeg-devel ocaml
BuildRequires:  libXpm-devel ghostscript-devel freetype-devel
BuildRequires:  giflib-devel
Requires:       ocaml
%define buildlibs ppm bmp xvthumb jpeg gif png xpm ps graphics freetype

%description
CamlImages is an image processing library for Objective CAML, which provides:
basic functions for image processing and loading/saving, various image file 
formats (hence providing a translation facility from format to format), 
and an interface with the Caml graphics library allows to display images 
in the Graphics module screen and to mix them with Caml drawings

In addition, the library can handle huge images that cannot be (or can hardly
be) stored into the main memory (the library then automatically creates swap
files and escapes them to reduce the memory usage).

%package        devel
Summary:        Development files for camlimages
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
%description    devel
The camlimages-devel package provides libraries and headers for 
developing applications using camlimages

Includes documentation provided by ocamldoc

%prep
%setup -q -n camlimages-2.2 -a 1
%patch -p1
sed -i -e 's|LIBRARYDIRS=ppm bmp xvthumb jpeg tiff gif png xpm ps graphics freetype|LIBRARYDIRS=%buildlibs|' Makefile.build.in

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/camlimages/*.o
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/camlimages/*.cmo
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/camlimages/*.mli

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Announce Announce-2.2 CHANGES LICENSE README doc/
%{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(-,root,root,-)
%doc htmlref/
%{_libdir}/ocaml/camlimages


%changelog
* Wed May 09 2007 Nigel Jones <dev@nigelj.com> 2.2.0-8
- Exclude ppc64 builds due to missing ocaml

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 2.2.0-7
- Change to Makefile patch to move .so files to stublibs
- Rename to ocaml-camlimages
- Other changes per review

* Thu May 03 2007 Nigel Jones <dev@nigelj.com> 2.2.0-6
- Include .*a files just to make sure

* Thu May 03 2007 Nigel Jones <dev@nigelj.com> 2.2.0-5
- Revert -4 changes
- Remove excludedirs patch, replace with a sed
- Provide html documentation generated from running ocaml-ocamldoc

* Thu Apr 26 2007 Nigel Jones <dev@nigelj.com> 2.2.0-4
- Add Provides: camlimages-static, and LICENSE to -devel docs

* Thu Apr 12 2007 Nigel Jones <dev@nigelj.com> 2.2.0-3
- Remove .a & .o files

* Wed Apr 11 2007 Nigel Jones <dev@nigelj.com> 2.2.0-2
- Add missing dependencies

* Tue Apr 10 2007 Nigel Jones <dev@nigelj.com> 2.2.0-1
- Initial spec file
